STOFFLink Struct Reference

a link More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions

| STOFFLink ()
| basic constructor
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if needed )

## Public Attributes

std::string | m_HRef
| the href field

## Detailed Description

a link

## Constructor & Destructor Documentation

## STOFFLink()

STOFFLink::STOFFLink | ( |  | ) |

inline

basic constructor

## Member Function Documentation

## addTo()

bool STOFFLink::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if needed )

Referenced by STOFFGraphicListener::openLink(), STOFFSpreadsheetListener::openLink(), and STOFFTextListener::openLink().

## Member Data Documentation

## m_HRef

std::string STOFFLink::m_HRef

the href field

Referenced by addTo(), StarObjectTextInternal::TextZone::send(), SWFieldManagerInternal::FieldINet::send(), and STOFFLink().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx